Summary:        Pretty-print tabular data in Python, a library and a command-line utility
Name:           python-tabulate
Version:        0.9.0
Release: 	7%{?dist}
License:        MIT
URL:            https://github.com/astanin/python-tabulate
Source0:        %{pypi_source tabulate}

BuildArch:      noarch

BuildRequires:  python3-devel python3dist(pytest) python3dist(numpy)

%description 
The main use cases of the library are:
• printing small tables without hassle: just one function call, formatting is
  guided by the data itself
• authoring tabular data for lightweight plain-text markup: multiple output
  formats suitable for further editing or transformation
• readable presentation of mixed textual and numeric data: smart column
  alignment, configurable number formatting, alignment by a decimal point


%package -n python3-tabulate
Summary:        Pretty-print tabular data in Python, a library and a command-line utility

%description -n python3-tabulate 
The main use cases of the library are:
• printing small tables without hassle: just one function call, formatting is
  guided by the data itself
• authoring tabular data for lightweight plain-text markup: multiple output
  formats suitable for further editing or transformation
• readable presentation of mixed textual and numeric data: smart column
  alignment, configurable number formatting, alignment by a decimal point


%package -n python3-tabulate+widechars
Summary: Subpackage for python3-tabulate with extra widechars dependencies
Requires: python3-tabulate

%description -n python3-tabulate+widechars
This is the subpackage for python3-tabulate with extra widechars dependencies.

%files -n python3-tabulate+widechars -f %{_pyproject_ghost_distinfo}


%prep
%autosetup -n tabulate-%{version}

%generate_buildrequires
%pyproject_buildrequires -x widechars


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tabulate


%check
%pytest --doctest-modules --ignore benchmark.py


%files -n python3-tabulate -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG README.md
%{_bindir}/tabulate

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Mon Sep 09 2024 Ze Zhang <bbrucezhang@tencent.com> - 0.9.0-6
- [Type] other
- [DESC] Add subpkg widechars because mycli buildrequires

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.9.0-1
- initial build
